SIMPLE_TP(9)

NAME

simple_tp - This component is a single axis simple trajectory planner, same as used for jogging in LinuxCNC.

SYNOPSIS
Used by PNCconf to allow testing of acceleration and velocity values for an axis.

FUNCTIONS

simple-tp.N.update (requires a floating-point thread)

PINS

simple-tp.N.target-pos float in
    target position to plan for.

simple-tp.N.maxvel float in
    Maximum velocity

simple-tp.N.maxaccel float in
    Acceleration rate

simple-tp.N.enable bit in
    If disabled, planner sets velocity to zero immediately.

simple-tp.N.current-pos float out
    position commanded at this point in time.

simple-tp.N.current-vel float out
    velocity commanded at this moment in time.

simple-tp.N.active bit out
    if active is true, the planner is requesting movement.

AUTHOR

Chris S Morley

LICENSE

GPL